#
# spec file for package libxklavier (Version 2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libxklavier
BuildRequires:  doxygen gnome-filesystem libxml2-devel pkgconfig xorg-x11 xorg-x11-devel
License:        LGPL
Group:          Development/Libraries/X11
Autoreqprov:    on
Version:        2.1
Release:        17.2
Summary:        Library with X Keyboard Related Functions
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-xerror-trap.patch
URL:            http://www.freedesktop.org/Software/LibXklavier
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library allows you to simplify XKB-related development.



Authors:
--------
    Sergey V. Udaltsov <svu@users.sourceforge.net>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/X11
Autoreqprov:    on
Requires:       %{name} = %{version} libxml2-devel glibc-devel %(rpm -q --whatprovides XFree86-devel --queryformat '%{NAME}')

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Sergey V. Udaltsov <svu@users.sourceforge.net>

%prep
%setup -q
%patch

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --sysconfdir=%{_sysconfdir} \
    --enable-doxygen \
    --with-xkb-base=/usr/lib/X11/xkb
make %{?jobs:-j%jobs} doc_to=%{_defaultdocdir}/%{name}/html

%install
rm -rf $RPM_BUILD_ROOT
make doc_to=%{_defaultdocdir}/%{name}/html install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp AUTHORS COPYING COPYING.LIB CREDITS ChangeLog NEWS README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%post
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/[A-Z]*
%defattr (-, root, root)
%{_libdir}/lib*.so.*
%{_prefix}/share/libxklavier

%files devel
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}/html
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc
%{_prefix}/include/*

%changelog -n libxklavier
* Thu Mar 23 2006 - danw@suse.de
- trap X errors when setting the keyboard map, to protect against
  bad data from callers or other packages (eg, xkeyboard-config, which
  currently seems to have a bug). Part of #158177
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - sbrabec@suse.cz
- Updared to version 2.1.
* Wed Dec 07 2005 - rodrigo@suse.de
- Added unreleased patch libxklavier-waitpid.patch, needed for
  control-center2-2.12.2.
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Tue Apr 26 2005 - gekker@suse.de
- Disable -Werror for now.
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.0 (GNOME 2.10).
* Fri Jan 21 2005 - gekker@suse.de
- Update to version 1.14
- Remove patch, already upstream
* Wed Dec 22 2004 - ro@suse.de
- added missing includes to test_config.c
* Tue Dec 21 2004 - gekker@suse.de
- Update to version 1.04
* Thu Aug 12 2004 - ro@suse.de
- added libpng to neededforbuild (for doxygen)
* Thu May 13 2004 - clahey@suse.de
- Add --with-xkb-base=/usr/lib/X11/xkb to configure to make this
  build on 64 bit platforms.
* Fri Apr 30 2004 - clahey@suse.de
- Upgraded to version 1.02 as needed for control-center.
* Mon Feb 16 2004 - sbrabec@suse.cz
- Degraded to version 0.96 (GSwitchIt compatible with version 0.97 is
  not yet released).
* Thu Feb 12 2004 - sbrabec@suse.cz
- Updated to version 0.97.
* Thu Sep 04 2003 - ro@suse.de
- run autoreconf
- use configure to detect X11R6 libdir
* Thu Sep 04 2003 - sbrabec@suse.cz
- Added new package (bug #28623).
